### Function

# FwupdPlugin Firmware flag_to_string

since: 1.5.0

#### Declaration [src]

    const gchar*
    fu_firmware_flag_to_string (
      FuFirmwareFlags flag
    )

#### Description [src]

Converts a `FuFirmwareFlags` to a string.

Available since: 1.5.0

#### Parameters

`flag`

  Type: `FuFirmwareFlags`

  A `FuFirmwareFlags`, e.g. `FU_FIRMWARE_FLAG_DEDUPE_ID`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.